%define major 7
%define name libfwbuilder
%define libname %mklibname fwbuilder %{major}
%define version 2.1.5
%define release %mkrel 3

Name: %{name}
Summary: Firewall Builder API
Url: http://www.fwbuilder.org/
Version: %{version}
Release: %{release}
License: GPL
Group:  System/Libraries
Source: http://prdownloads.sourceforge.net/fwbuilder/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	bind-devel
BuildRequires:	libqt-devel
BuildRequires:	libsigc++-devel
BuildRequires:	libxslt-devel
BuildRequires:	net-snmp-devel
BuildRequires:	openssl-devel

%description
Firewall Builder API Library

%package -n %name-data
Summary: Fixed data for fwbuilder
Group: System/Libraries
Requires: %{libname} = %version

%description -n %name-data
Fised data for libfwbuilder.
The Firewall Builder API Library

%package -n %{libname}
Summary: Firewall Builder API
Group:  System/Libraries
Requires: %name-data = %version
Provides: %name = %version-%release
Obsoletes: %{_lib}fwbuilder6 = 2.1.5

%description -n %{libname}
Firewall Builder API Library

%package -n %{libname}-devel
Summary:   Firewall Builder API Libraries and Header Files
Group:     Development/Other
Requires:  %{libname} = %{version}
Obsoletes: fwbuilder-devel
Obsoletes: %{_lib}fwbuilder6-devel = 2.1.5
Provides:  fwbuilder-devel
Provides:  libfwbuilder-devel = %{version}-%{release}

%description -n %{libname}-devel
This package contains the libraries  and header files that programmer would
need to develop applications using Firewall Builder API.

%prep 
%setup -q

%build
%{__libtoolize} --force --copy
%{__aclocal}
%{__autoconf}

%configure	--enable-auto-docdir \
		--with-templatedir=%{_datadir}/%{name}
%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make DDIR="${RPM_BUILD_ROOT}/" install

rm -fr $RPM_BUILD_ROOT/%_datadir/doc/*

# multiarch policy
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/libfwbuilder-config-2.1

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %name-data
%defattr(-,root,root)
%{_datadir}/%{name}
%doc doc/AUTHORS doc/COPYING doc/ChangeLog doc/Credits doc/README

%files -n %libname
%defattr(-,root,root)
%{_libdir}/%{name}.so.*
%{_libdir}/libfwcompiler.so.%{major}*

%files  -n %{libname}-devel
%defattr(-, root, root)
%{_bindir}/libfwbuilder-config-2.1
%multiarch %{multiarch_bindir}/libfwbuilder-config-2.1
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Thu Aug 31 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-31 18:29:41 (59229)
- fix obsolete, usefull on cooker

* Thu Aug 31 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-31 16:59:51 (59077)
- fix major number

* Wed Aug 30 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-30 21:01:59 (58910)
- 2.1.5

* Wed Aug 30 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-30 21:01:37 (58909)
- 2.1.5

* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-09 18:55:34 (55000)
- rebuild

* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-09 18:38:16 (54997)
Import libfwbuilder

* Tue Apr 18 2006 Lenny Cartier <lenny@mandriva.com> 2.0.12-1mdk
- 2.0.12

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.10-4mdk
- rebuilt against new net-snmp with new major (10)
- fix build on x86_64

* Thu Dec 22 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.10-3mdk
- remove obsolete Requires: ucd-snmp >= 4.2
- BuildRequires: net-snmp-devel
- BuildRequires: openssl-devel

* Wed Dec 21 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.10-2mdk
- rebuilt against net-snmp that has new major (9)

* Thu Nov 17 2005 Lenny Cartier <lenny@mandriva.com> 2.0.10-1mdk
- 2.0.10

* Sun Sep 25 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.9-2mdk
- multiarch police?

* Sun Sep 25 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.9-1mdk
- 2.0.9
- %%mkrel

* Wed May 18 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.7-2mdk
- Fix build on amd64

* Wed May 18 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.7-1mdk
- New release 2.0.7

* Thu Feb 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.0.6-1mdk
- 2.0.6

* Wed Jan 12 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.0.5-1mdk
- 2.0.5

* Fri Dec 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.4-1mdk
- 2.0.4

* Mon Oct 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.3-1mdk
- 2.0.3

* Thu Sep 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-1mdk
- 2.0.2

* Fri Aug 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-1mdk
- 2.0.1

* Tue Jun 15 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.2-2mdk
- rebuild

* Mon Nov 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2

* Thu Aug 14 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.0-6mdk
- fix Requires
- %%mklibname

* Wed Jul 02 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.0-5mdk
- another release bump to work around last useless bump that occured by a mistake
  (aka I am teh sux)

* Wed Jul 02 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.0-4mdk
- useless bump..

* Sun Jun 15 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.0-3mdk
- use %%configure macro with libtoolize, aclocal and autoconf in stead of autogen.sh
- use %%makeinstall_std macro
- macroize

* Wed May 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-2mdk
- rebuild

* Wed May 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0

* Fri Feb 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.10.13-1mdk
- 0.10.13

* Wed Jan 08 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.10.12-2mdk
- split package

* Tue Jan 07 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.10.12-1mdk
- 0.10.12

* Sat Dec 14 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.10.11-1mdk
- Fix package naming (src should not contain %%major !!)

* Wed Oct 30 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.10.11-1mdk
- 0.10.11

* Wed Oct 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.10.10-1mdk
- 0.10.10

* Thu Sep 12 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.10.9-2mdk
- oops, the major of the lib is 3

* Wed Sep 11 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.10.9-1mdk
- 0.10.9

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.10.7-2mdk
- rebuild

* Thu Jun 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.10.7-1mdk
- 0.10.7

* Wed May 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.6-3mdk
- oops, the major of the lib is 2

* Wed May 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.6-2mdk
- have in -devel package some missing includes

* Tue May 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.6-1mdk
- new version
- recompile with g++ 3.1, needs a small patch
- libtoolize to fix undefined symbol pb's

* Tue Apr 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.10.5-1mdk
- 0.10.5

* Wed Jan 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.10.4-1mdk
- 0.10.4
- clean

* Tue Dec 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.10.3-1mdk
- 0.10.3

* Mon Dec 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.10.2-1mdk
- 0.10.2

* Tue Nov 06 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.10.0-1mdk
- first mandrake release, taken from fwbuiler web site
- macroszification
- corrected source url
- a few Requires and BuildRequires 
- post and postun ldconfig

